List providers available to this runtime account and endpoint.
GET
/v1/connection-providers
const url = 'https://app.everruns.com/api/v1/connection-providers';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.everruns.com/api/v1/connection-providersResponses
Section titled “Responses”Available connection providers
Media typeapplication/json
Array<object>
Provider info for the connections UI
object
connection_type
required
Provider credential mechanism.
string
description
required
Provider description.
string
display_name
required
Provider display name.
string
form_schema
One of:
Fields required for API key providers.
object
fields
required
Provider form fields.
Array<object>
Single form field
object
field_type
required
Input type used by the form.
string
help_text
Explanation for this form field.
string | null
label
required
Provider form field label.
string
name
required
Provider form field name.
string
placeholder
Suggested input placeholder.
string | null
required
required
Whether the field must be supplied.
boolean
instructions_markdown
required
Instructions shown before connection setup.
string
null
icon
required
Provider icon name.
string
provider_id
required
Stable provider identifier.
string
Example
[ { "connection_type": "oauth", "description": "Connect your repositories", "display_name": "GitHub", "form_schema": { "fields": [ { "field_type": "password", "help_text": "Your key is stored encrypted.", "label": "API key", "name": "api_key", "placeholder": "Enter your API key", "required": true } ], "instructions_markdown": "Create an API key in provider settings." }, "icon": "github", "provider_id": "github" }]